summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2010-05-13 00:57:26 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:57:26 +0200
commit0cd1913d591095122ae2139753654612172524b2 (patch)
treeb9302b6a630057fd4243ae01de49a59e09f78d73 /audio
parent9823cc7dfc04bae1ca994b1c09b3d02788f5e5b6 (diff)
downloadslackbuilds-0cd1913d591095122ae2139753654612172524b2.tar.gz
slackbuilds-0cd1913d591095122ae2139753654612172524b2.tar.xz
audio/cmt: Added to 13.0 repository
Diffstat (limited to 'audio')
-rw-r--r--audio/cmt/README6
-rw-r--r--audio/cmt/cmt.SlackBuild63
-rw-r--r--audio/cmt/cmt.info10
-rw-r--r--audio/cmt/slack-desc19
4 files changed, 98 insertions, 0 deletions
diff --git a/audio/cmt/README b/audio/cmt/README
new file mode 100644
index 0000000000..43dd57442b
--- /dev/null
+++ b/audio/cmt/README
@@ -0,0 +1,6 @@
+cmt (Computer Music Toolkit for LADSPA)
+
+The Computer Music Toolkit (CMT) is a collection of LADSPA plugins for
+use with software synthesis and recording packages on Linux.
+
+This requires ladspa_sdk.
diff --git a/audio/cmt/cmt.SlackBuild b/audio/cmt/cmt.SlackBuild
new file mode 100644
index 0000000000..057e248920
--- /dev/null
+++ b/audio/cmt/cmt.SlackBuild
@@ -0,0 +1,63 @@
+#!/bin/sh
+
+# Slackware build script for cmt
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=cmt
+VERSION=${VERSION:-1.16}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+FORCE_SLACK_CFLAGS=${FORCE_SLACK_CFLAGS:-no}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/${PRGNAM}_src_$VERSION.tgz
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+chmod 644 doc/*
+
+if [ "$FORCE_SLACK_CFLAGS" = "yes" ]; then
+ sed -i 's/-O3/'"$SLKCFLAGS"'/' src/makefile
+fi
+
+make -C src
+mkdir -p $PKG/usr/lib$LIBDIRSUFFIX/ladspa
+make -C src install INSTALL_PLUGINS_DIR=$PKG/usr/lib$LIBDIRSUFFIX/ladspa
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/cmt/cmt.info b/audio/cmt/cmt.info
new file mode 100644
index 0000000000..9a9901bdf7
--- /dev/null
+++ b/audio/cmt/cmt.info
@@ -0,0 +1,10 @@
+PRGNAM="cmt"
+VERSION="1.16"
+HOMEPAGE="http://www.ladspa.org/cmt/"
+DOWNLOAD="http://www.ladspa.org/download/cmt_src_1.16.tgz"
+MD5SUM="15a875e5aaf79c209c223babfb41cb1c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="rworkman"
diff --git a/audio/cmt/slack-desc b/audio/cmt/slack-desc
new file mode 100644
index 0000000000..1e9f308f72
--- /dev/null
+++ b/audio/cmt/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+cmt: cmt (Computer Music Toolkit for LADSPA)
+cmt:
+cmt: The Computer Music Toolkit (CMT) is a collection of LADSPA plugins
+cmt: for use with software synthesis and recording packages on Linux.
+cmt:
+cmt:
+cmt:
+cmt:
+cmt:
+cmt:
+cmt: